Get Network Overview
curl --request GET \
--url https://api.rated.network/v1/solana/network/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/solana/network/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/solana/network/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"activeDelegatorStakeAccountCount": 999,
"activeDelegatorStakeAccountCountDiff": 999,
"activeDelegatorStakeAuthorityCount": 999,
"activeDelegatorStakeAuthorityCountDiff": 999,
"activeDelegatorWithdrawAuthorityCount": 999,
"activeDelegatorWithdrawAuthorityCountDiff": 999,
"activeValidatorCount": 999,
"activeValidatorDiff": -10,
"deactivating_stake_accounts": 10,
"delegatorApr": 0.999,
"giniCoefficient": 0.999,
"netValidatorApr": 0.998,
"networkEffectiveness": 0.999,
"networkEffectivenessDiff": 0.999,
"networkMissedBlocksRate": 0.999,
"networkVoteSuccessRate": 0.999,
"networkVotingLatency": 0.999,
"rewardsSolanaMev": 0.999,
"rewardsSolanaProposals": 0.999,
"rewardsSolanaRent": 0.999,
"rewardsSolanaVoting": 0.999,
"stakeAccountStakeAuthorityRatio": 0.999,
"stakeAccountWithdrawAuthorityRatio": 0.999,
"timeWindow": "30d",
"totalDelegatedStake": 999,
"validatorApr": 0.999
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Overview
Get Network Overview
GET
/
v1
/
solana
/
network
/
overview
Get Network Overview
This endpoint returns a summary of key statistics for the whole network including effectiveness and its components, delegator and validator annual percentage yields (APY), staking metrics, and duty-specific rewards.
On the
1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Available options:
1d, 7d, 30d, all Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Required range:
x >= 0Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Required range:
x >= 0Required range:
x >= 0Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Required range:
x >= 0Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Required range:
x >= 0